#include "prjlibs-include/standards.h"
#include <errno.h>

#include "skalibs/include/stddjb.h"
#include "prjlibs-include/constants.h"
#include "prjlibs-include/diewarn.h"
#include "constants.h"

char const* PROG="loginshell";

int main(int argc, char** argv) {
  stralloc sa=GEN_ALLOC_ZERO;
  char const* const shell=env_get(var_shell+1);
  unsigned int i;

  if (argc<1) DIE_USAGE(" [arg ...]");

  if (shell==NULLP) DIE_NOTSET(var_shell);

  i=str_rchr(shell, '/');
  if (shell[i]=='\0') i=0;
  else ++i;
  if (stralloc_copys(&sa, "-")==0 ||
      stralloc_cats(&sa, shell+i)==0 ||
      stralloc_0(&sa)==0)
    DIE0(alloc);
  argv[0]=sa.s;

  pathexec_run(shell, (char const**)argv, (char const**)environ);
  DIE1(exec, shell);
}
